Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1602035 - [abrt] libgsf: zip_find_trailer(): gsf-office-thumbnailer killed by SIGBUS
Summary: [abrt] libgsf: zip_find_trailer(): gsf-office-thumbnailer killed by SIGBUS
Keywords:
Status: CLOSED DUPLICATE of bug 616831
Alias: None
Product: Fedora
Classification: Fedora
Component: libgsf
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b6187a6c7c0f9753724af68b889...
: 1633877 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-17 16:29 UTC by Vitaliy Sapronenko
Modified: 2018-09-28 16:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-18 14:45:37 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: cgroup (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: core_backtrace (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: dso_list (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: environ (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: limits (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: maps (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: mountinfo (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: open_fds (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: proc_pid_status (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: cpuinfo (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details
File: exploitable (deleted)
2018-07-17 16:29 UTC, Vitaliy Sapronenko
no flags Details

Description Vitaliy Sapronenko 2018-07-17 16:29:31 UTC
Version-Release number of selected component:
libgsf-1.14.41-4.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        gsf-office-thumbnailer -i /mnt/Data/fedora/ .odt -o /tmp/tumbler-XKZO5LZ.png -s 128
crash_function: zip_find_trailer
executable:     /usr/bin/gsf-office-thumbnailer
journald_cursor: s=901d9d3721804f7a88866d15ff77ef20;i=201287;b=6789aeedb2784e819eb983441007c19e;m=897a3b48d;t=57134027b0268;x=56e04f5ef7fa1ce9
kernel:         4.16.15-200.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 zip_find_trailer at gsf-infile-zip.c:179
 #1 zip_read_dirents at gsf-infile-zip.c:400
 #2 zip_init_info at gsf-infile-zip.c:495
 #3 gsf_infile_zip_constructor at gsf-infile-zip.c:847
 #4 g_object_new_with_custom_constructor at gobject.c:1715
 #5 g_object_new_internal at gobject.c:1795
 #6 g_object_new_valist at gobject.c:2120
 #8 gsf_infile_zip_new at gsf-infile-zip.c:998
 #9 read_thumbnail_and_write at main.c:239

Potential duplicate: bug 1060542

Comment 1 Vitaliy Sapronenko 2018-07-17 16:29:41 UTC
Created attachment 1459477 [details]
File: backtrace

Comment 2 Vitaliy Sapronenko 2018-07-17 16:29:42 UTC
Created attachment 1459478 [details]
File: cgroup

Comment 3 Vitaliy Sapronenko 2018-07-17 16:29:44 UTC
Created attachment 1459479 [details]
File: core_backtrace

Comment 4 Vitaliy Sapronenko 2018-07-17 16:29:46 UTC
Created attachment 1459480 [details]
File: dso_list

Comment 5 Vitaliy Sapronenko 2018-07-17 16:29:47 UTC
Created attachment 1459481 [details]
File: environ

Comment 6 Vitaliy Sapronenko 2018-07-17 16:29:49 UTC
Created attachment 1459482 [details]
File: limits

Comment 7 Vitaliy Sapronenko 2018-07-17 16:29:51 UTC
Created attachment 1459483 [details]
File: maps

Comment 8 Vitaliy Sapronenko 2018-07-17 16:29:53 UTC
Created attachment 1459484 [details]
File: mountinfo

Comment 9 Vitaliy Sapronenko 2018-07-17 16:29:55 UTC
Created attachment 1459485 [details]
File: open_fds

Comment 10 Vitaliy Sapronenko 2018-07-17 16:29:56 UTC
Created attachment 1459486 [details]
File: proc_pid_status

Comment 11 Vitaliy Sapronenko 2018-07-17 16:29:58 UTC
Created attachment 1459487 [details]
File: cpuinfo

Comment 12 Vitaliy Sapronenko 2018-07-17 16:29:59 UTC
Created attachment 1459488 [details]
File: exploitable

Comment 13 Caolan McNamara 2018-07-18 14:45:37 UTC

*** This bug has been marked as a duplicate of bug 616831 ***

Comment 14 Caolan McNamara 2018-09-28 16:59:26 UTC
*** Bug 1633877 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.